/*
 	File:		KeyTranslation.h
 
 	Version:	Technology:	System 8.0
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
*/
#ifndef __KEYTRANSLATION__
#define __KEYTRANSLATION__

#ifndef __KEYBOARD__
#include <Keyboard.h>
#endif
#ifndef __LOCALEOBJECTS__
#include <LocaleObjects.h>
#endif
#ifndef __TEXTINPUTSYSTEM__
#include <TextInputSystem.h>
#endif
#ifndef __TYPES__
#include <Types.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import on
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif

#if FOR_SYSTEM8_COOPERATIVE
typedef struct OpaqueKeyTranslationContextRef* KeyTranslationContextRef;
typedef LocaleObjectRef KeyTranslationObjectRef;
extern OSStatus NewKeyTranslationContext(KeyTranslationContextRef *contextRef, KeyTranslationObjectRef translationObject);

extern OSStatus DisposeKeyTranslationContext(KeyTranslationContextRef *contextRef);

extern OSStatus TranslateVirtualKeyCode(KeyTranslationContextRef contextRef, VirtualKeyCode keycode, UInt16 *character);

extern OSStatus TranslateVirtualKeyCodeBuffer(KeyTranslationContextRef contextRef, const VirtualKeyCode *keycodeBuffer, UInt32 keycodeBufferSize, UInt16 *characterBuffer, UInt32 characterBufferSize);

#endif
/* FOR_SYSTEM8_COOPERATIVE*/

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import off
#endif

#ifdef __cplusplus
}
#endif

#endif /* __KEYTRANSLATION__ */

